Theme based on [`morhetz/gruvbox`](https://github.com/morhetz/gruvbox), but with a plainer color palette for syntax highlighting. The theme comes with two palettes: `gruvbox-plain-cold` and `gruvbox-plain-warm`.

## Color Scheme

`gruvbox-plain` uses a limited subset of the gruvbox dark mode color palette for syntax highlighting. The table below shows the general usage of the different colors.

|                                        Usage |                                        `gruvbox-plain-cold`                                        |                                        `gruvbox-plain-warm`                                        |
| -------------------------------------------: | :------------------------------------------------------------------------------------------------: | :------------------------------------------------------------------------------------------------: |
|            Variables, properties, plain text | `#ebdbb2`<br>![](https://github.com/hermannm/gruvbox-plain/blob/assets/colors/ebdbb2.png?raw=true) | `#ebdbb2`<br>![](https://github.com/hermannm/gruvbox-plain/blob/assets/colors/ebdbb2.png?raw=true) |
|                          Keywords, operators | `#d3869b`<br>![](https://github.com/hermannm/gruvbox-plain/blob/assets/colors/d3869b.png?raw=true) | `#fe8019`<br>![](https://github.com/hermannm/gruvbox-plain/blob/assets/colors/fe8019.png?raw=true) |
| Types, classes, namespaces, components, tags | `#83a598`<br>![](https://github.com/hermannm/gruvbox-plain/blob/assets/colors/83a598.png?raw=true) | `#fabd2f`<br>![](https://github.com/hermannm/gruvbox-plain/blob/assets/colors/fabd2f.png?raw=true) |
|                           Functions, methods | `#b8bb26`<br>![](https://github.com/hermannm/gruvbox-plain/blob/assets/colors/b8bb26.png?raw=true) | `#b8bb26`<br>![](https://github.com/hermannm/gruvbox-plain/blob/assets/colors/b8bb26.png?raw=true) |
|                   Values, language constants | `#8ec07c`<br>![](https://github.com/hermannm/gruvbox-plain/blob/assets/colors/8ec07c.png?raw=true) | `#8ec07c`<br>![](https://github.com/hermannm/gruvbox-plain/blob/assets/colors/8ec07c.png?raw=true) |
|                                  Punctuation | `#a89984`<br>![](https://github.com/hermannm/gruvbox-plain/blob/assets/colors/a89984.png?raw=true) | `#a89984`<br>![](https://github.com/hermannm/gruvbox-plain/blob/assets/colors/a89984.png?raw=true) |
|                      Comments, documentation | `#928374`<br>![](https://github.com/hermannm/gruvbox-plain/blob/assets/colors/928374.png?raw=true) | `#928374`<br>![](https://github.com/hermannm/gruvbox-plain/blob/assets/colors/928374.png?raw=true) |
|                             Background color | `#282828`<br>![](https://github.com/hermannm/gruvbox-plain/blob/assets/colors/282828.png?raw=true) | `#282828`<br>![](https://github.com/hermannm/gruvbox-plain/blob/assets/colors/282828.png?raw=true) |

For edge cases in languages where these may not apply, the color deemed most appropriate has been chosen. This can always be overridden under `editor.tokenColorCustomizations` in your `settings.json`.

## Credits

- [`morhetz/gruvbox`](https://github.com/morhetz/gruvbox) for the original color scheme
  - _Copyright (c) 2017 Pavel Pertsev, [MIT/X11 license](https://github.com/morhetz/gruvbox#license)_
- [`jdinhify/vscode-theme-gruvbox`](https://github.com/jdinhify/vscode-theme-gruvbox) for the base VSCode UI theme
  - _Copyright (c) 2017 JD, [MIT license](https://github.com/jdinhify/vscode-theme-gruvbox/blob/main/LICENSE)_
